module.exports = {
  create: {
    requestBody: [
      '!column_id',
      '!title',
      '!orgin',
      '!content',
      'picture'
    ]
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    params: ['!id'],
    requestBody: [
      'column_id',
      'title',
      'orgin',
      'content',
      'picture'
    ]
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: {
        column_id : 'column_id',
        title : 'title',
        orgin : 'orgin',
        content : 'content',
        picture : 'picture'
      }
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true
    }
  },
};
